> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flight

> Retrieve comprehensive details for a specific flight by ID or flight number

Retrieve flight route, airline, aircraft, gate assignments, schedule, and ticket class seat allocations for a flight.

## Request

```bash theme={null}
curl -X GET "https://api.series.hr/flights/get/flt_1740000000000_abcde" \
  -H "apikey: YOUR_API_KEY"
```

## Parameters

<ParamField path="flightId" type="string" required>
  The `FlightId` (e.g. `flt_1740000000000_abcde`) or `FlightNumber` (e.g. `RA 101`).
</ParamField>

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "WorkspaceId": "a7d5339a-5531-4336-99c6-6f3249c9ac20",
      "WorkspaceName": "Roblox Airways Hub",
      "Flight": {
        "FlightId": "flt_1740000000000_abcde",
        "WorkspaceId": "a7d5339a-5531-4336-99c6-6f3249c9ac20",
        "FlightNumber": "RA 101",
        "AirlineId": "airline_1",
        "AirlineName": "Roblox Airways",
        "AirlineIata": "RA",
        "AirlineIcao": "RBA",
        "AirlineCallsign": "ROBLOXAIR",
        "AirlineIcon": "plane",
        "AirlineColorHex": "#0EA5E9",
        "AircraftId": "ac_1",
        "AircraftModel": "Boeing 737-800",
        "AircraftManufacturer": "Boeing",
        "AircraftCapacity": 180,
        "OriginAirportId": "apt_1",
        "OriginAirportName": "Robloxia International",
        "OriginIata": "RBLX",
        "OriginGateId": "gate_1",
        "OriginGateName": "Gate A1",
        "DestinationAirportId": "apt_2",
        "DestinationAirportName": "Blox City Airport",
        "DestinationIata": "BLOX",
        "DestinationGateId": "gate_5",
        "DestinationGateName": "Gate B2",
        "ScheduledDepartureTime": "2026-09-01T14:00:00.000Z",
        "ScheduledArrivalTime": "2026-09-01T14:45:00.000Z",
        "DurationRealMinutes": 45,
        "DurationGameplayMinutes": 15,
        "Status": "boarding",
        "DelayMinutes": 0,
        "Remarks": "On Time",
        "Classes": [
          {
            "ClassId": "class_eco",
            "ClassName": "Economy Class",
            "ClassCode": "Y",
            "ColorHex": "#0EA5E9",
            "Capacity": 150,
            "BookedSeats": 42,
            "GamepassRequired": false,
            "GamepassId": null
          },
          {
            "ClassId": "class_first",
            "ClassName": "First Class",
            "ClassCode": "F",
            "ColorHex": "#F59E0B",
            "Capacity": 30,
            "BookedSeats": 12,
            "GamepassRequired": true,
            "GamepassId": 12345678,
            "PriorityBoarding": true
          }
        ],
        "TotalAllocatedSeats": 180,
        "CreatedBy": "714760171",
        "CreatedAt": "2026-09-01T10:00:00.000Z",
        "UpdatedAt": "2026-09-01T13:45:00.000Z"
      }
    }
  }
  ```
</ResponseField>

## Status Codes

* `200`: Flight details returned successfully
* `401`: API key is required or invalid
* `403`: Flights module is not enabled
* `404`: Flight not found
